Skip to navigation

List rooms

View as Markdown

This method returns details about the rooms that the current user has permissions to view.

The fieldDataChangedStartDate and fieldDataChangedEndDate query parameters let you limit the results to rooms whose field data has changed within a range of dates.

The roomClosedStartDate and roomClosedEndDate query parameters let you limit the results to rooms that were closed within a range of dates.

Note: By default, this method only returns open rooms. To return other rooms, use the roomStatus query parameter.

Authentication

Authorizationstring

JWT Authorization header using the Bearer scheme. Example: “Authorization: Bearer {token}”

Path parameters

accountIdstringRequired

The globally unique identifier (GUID) for the account.

Query parameters

countintegerOptionalDefaults to 100

The number of results. When this property is used as a request parameter specifying the number of results to return, the value must be a number between 1 and 100 (default).

startPositionintegerOptionalDefaults to 0

The index position within the total result set from which to start returning values. The default value is 0.

roomStatusenumOptional

The status of the room. Valid values are:

  • active: This is the default value.
  • pending
  • open: Includes both active and pending statuses.
  • closed

To return rooms with multiple statuses, enter a comma-separated list of statuses.

Example:

closed,open

Allowed values:
officeIdintegerOptional
The ID of the office.
fieldDataChangedStartDatestringOptional

Starting date and time to filter rooms whose field data has changed after this date. Date and time is always given as UTC. If the time (hh:mm:ss) is omitted, it defaults to 00:00:00.

Valid formats:

  • yyyy-mm-dd hh:mm:ss
  • yyyy/mm/dd hh:mm:ss

The default start date is the beginning of time.

fieldDataChangedEndDatestringOptional

Ending date and time to filter rooms whose field data has changed before this date. Date and time is always given as UTC. If the time (hh:mm:ss) is omitted, it defaults to 00:00:00.

Valid formats:

  • yyyy-mm-dd hh:mm:ss
  • yyyy/mm/dd hh:mm:ss

If this query parameter is omitted, the default end date is now.

roomClosedStartDatestringOptional

Starting date and time to filter rooms that were closed this date. Date and time is always given as UTC. If the time (hh:mm:ss) is omitted, it defaults to 00:00:00.

Valid formats:

  • yyyy-mm-dd hh:mm:ss
  • yyyy/mm/dd hh:mm:ss

The default start date is the beginning of time.

roomClosedEndDatestringOptional

Ending date and time to filter rooms that were closed before this date. Date and time is always given as UTC. If the time (hh:mm:ss) is omitted, it defaults to 00:00:00.

Valid formats:

  • yyyy-mm-dd hh:mm:ss
  • yyyy/mm/dd hh:mm:ss

If this query parameter is omitted, the default end date is now.

Response

Rooms successfully retrieved.
roomslist of objectsOptional

An array of roomSummary objects.

resultSetSizeintegerOptional
The number of results returned in this response.
startPositionintegerOptional

The starting zero-based index position of the results set. When this property is used as a query parameter, the default value is 0.

endPositionintegerOptionalRead-only

The last zero-based index position in the result set.

nextUristringOptional

The URI for the next chunk of records based on the search request. This property is null for the last set of search results.

priorUristringOptional

The URI for the previous chunk of records based on the search request. This property is null for the first set of search results.

totalRowCountintegerOptional
The number of results in this reponse.

Errors

400
Bad Request Error
401
Unauthorized Error